Package org.pgpainless.encryption_signing

# Interface EncryptionBuilderInterface

All Known Implementing Classes:
  `EncryptionBuilder`

public interface EncryptionBuilderInterface

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EncryptionBuilderInterface.WithOptions`

## Method Summary

Modifier and Type
Method
Description
`EncryptionBuilderInterface.WithOptions`
`onOutputStream(OutputStream outputStream)`
Create a `EncryptionStream` on an `OutputStream` that contains the plain data that shall be encrypted and or signed.

## Method Details

### onOutputStream

EncryptionBuilderInterface.WithOptions onOutputStream(@Nonnull OutputStream outputStream)
Create a `EncryptionStream` on an `OutputStream` that contains the plain data that shall be encrypted and or signed.

Parameters:
  `outputStream` - output stream of the plain data.
Returns:
  api handle